org.apache.flume.sink.hdfs

## Interface HDFSWriter

- All Superinterfaces:
    Configurable
  All Known Implementing Classes:
    AbstractHDFSWriter, HDFSCompressedDataStream, HDFSDataStream, HDFSSequenceFile

      @InterfaceAudience.Private
      @InterfaceStability.Evolving
      public interface HDFSWriter
      extends Configurable

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `append(Event e)`
    `void` | `close()`
    `boolean` | `isUnderReplicated()`
    `void` | `open(String filePath)`
    `void` | `open(String filePath, org.apache.hadoop.io.compress.CompressionCodec codec, org.apache.hadoop.io.SequenceFile.CompressionType cType)`
    `void` | `sync()`

    - ### Methods inherited from interface org.apache.flume.conf.Configurable

      `configure`

- - ### Method Detail

    - #### open

          void open(String filePath)
                    throws IOException

      Throws:
        `IOException`

    - #### open

          void open(String filePath,
                  org.apache.hadoop.io.compress.CompressionCodec codec,
                  org.apache.hadoop.io.SequenceFile.CompressionType cType)
                    throws IOException

      Throws:
        `IOException`

    - #### append

          void append(Event e)
                      throws IOException

      Throws:
        `IOException`

    - #### sync

          void sync()
                    throws IOException

      Throws:
        `IOException`

    - #### close

          void close()
                     throws IOException

      Throws:
        `IOException`

    - #### isUnderReplicated

          boolean isUnderReplicated()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.